=== debian/changelog ===
libcap (1:1.10-15maemo0) unstable; urgency=low

  * Porting to maemo.

 -- Michael Vogt <mvo@debian.org>  Mon,  5 Feb 2007 20:27:41 -0500

libcap (1:1.10-14) unstable; urgency=low

  * fixed a "dangling symlinks" (closes: #191591)

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Apr 2004 00:10:30 +0200

libcap (1:1.10-13) unstable; urgency=low

  * moved README and capfaq-0.2.txt to libcap-bin (closes: #226343)

 -- Michael Vogt <mvo@debian.org>  Wed, 14 Jan 2004 13:29:34 +0100

libcap (1:1.10-12) unstable; urgency=low

  * corrected spelling mistakes (closes: #124906, #124907)

 -- Michael Vogt <mvo@debian.org>  Tue, 18 Dec 2001 05:33:03 +0100

libcap (1:1.10-11) unstable; urgency=low

  * changed priority only for libcap1 (not for libcap-bin, libcap-dev)

 -- Michael Vogt <mvo@debian.org>  Fri, 20 Jul 2001 00:01:47 +0200

libcap (1:1.10-10) unstable; urgency=low

  * changed priority to "required", because libpam-modules depend on it   
    (closes: #103567)   
  
 -- Michael Vogt <mvo@debian.org>  Thu,  5 Jul 2001 11:05:28 +0200

libcap (1:1.10-9) unstable; urgency=low

  * added Build-Depends: debhelper, this closes: #86828
  * libcap links against libc6, closes: #87234
  * as no kernel headers get included, it closes: #81962
  
 -- Michael Vogt <mvo@debian.org>  Wed,  7 Mar 2001 10:30:31 +0100

libcap (1:1.10-8) unstable; urgency=low

  * fixed a typo in the description and improved the description
    this closes: #88425 (thanks to Joey Hess <joeyh@debian.org)
  * added capfaq-0.2.txt to the documentation
  
 -- Michael Vogt <mvo@debian.org>  Mon,  5 Mar 2001 10:36:11 +0100

libcap (1:1.10-7) unstable; urgency=low

  * debuged and removed all lintian errors
  * removed inclusion of kernel-headers in libcap
  * synced sections with override file

 -- Michael Vogt <mvo@debian.org>  Thu,  1 Mar 2001 02:14:27 +0100

libcap (1:1.10-6) unstable; urgency=low

  * closes: #87343 (thanks to Ryan Murray <rmurray@cyberhqz.com>)
  * added epoch to override a old version 1.92 floating around
  * merged all changes from Mikolaj J. Habryn <dichro-debian@rcpt.to> 

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Feb 2001 11:22:23 +0100

libcap (1.10-5) unstable; urgency=low

  * removed capget.2 (is also in manpages-dev)
  * closes: #86021
  
 -- Michael Vogt <mvo@debian.org>  Sun, 18 Feb 2001 01:32:33 +0100

libcap (1.10-4) unstable; urgency=low

  * second try to remove capset.2. man-page.

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Feb 2001 10:34:23 +0100

libcap (1.10-3) unstable; urgency=low

  * closes bug: #86021 (thanks to Ryan Murray <rmurray@cyberhqz.com>
  * remove the capset.2.gz man-page (it is already in manpages-dev)

 -- Michael Vogt <mvo@debian.org>  Thu, 15 Feb 2001 10:08:34 +0100

libcap (1.10-2) unstable; urgency=low

  * closes bug: #73062, #73606 
    (thanks to Laurent Bonnaud <bonnaud@iut2.upmf-grenoble.fr>
	       Robert Bihlmeyer <robbe@orcus.priv.at>)

 -- Michael Vogt <mvo@debian.org>  Thu,  5 Oct 2000 09:21:52 +0200

libcap (1.10-1) unstable; urgency=low

  * Initial Release.

 -- Michael Vogt <mvo@debian.org>  Tue, 25 Jul 2000 19:28:22 +0200
