=== debian/control ===
Source: libcap
Section: libs
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper

Package: libcap-dev
Section: devel
Architecture: any
Depends: libcap1 (= ${Source-Version}), libc6-dev
Description: development libraries and header files for libcap
 Contains the necessary support for building applications that use
 capabilities.

Package: libcap-bin
Section: devel
Architecture: any
Depends: libcap1
Replaces: libcap-progs
Description: basic utility programs for using capabilities
 This packages contains the programs sucap, execap, getpcaps, setpcaps
 for manipulation of capabilities.

Package: libcap1
Architecture: any
Priority: required
Depends: ${shlibs:Depends}
Description: support for getting/setting POSIX.1e capabilities
 This library implements the user-space interfaces to the POSIX
 1003.1e capabilities available in Linux kernels.  These capabilities are 
 a partitioning of the all powerful root privilege into a set of distinct 
 privileges.  Note that it will not provide any functionality with kernels 
 below 2.2
